<?php
$token = '**ТОКЕН**';

if (
    isset($_POST['phone'])
    &&
    !empty($_POST['phone'])
    &&
    !is_array($_POST['phone'])
) {
    $url = 'https://getcontact.com/api/phone?token=' . $token . '&source=detail&msisdn=' . urlencode($_POST['phone']);

    $curl = curl_init();
    curl_setopt_array
    (
        $curl,
        array
        (
            CURLOPT_RETURNTRANSFER => 1,
            CURLOPT_SSL_VERIFYHOST => 2,
            CURLOPT_SSL_VERIFYPEER => 1,
            CURLOPT_URL => $url,
            CURLOPT_USERAGENT => 'Dalvik/2.1.0 (Linux; U; Android 6.0.1; Blackphone 2 Build/MOB31Z)'
        )
    );

    $resp = curl_exec($curl);
    curl_close($curl);

    header("Content-type: application/json; charset=utf-8");
    echo($resp);
    exit;
}
?>
<html>
<head>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
</head>
<body>
<form class="req-form" action="#">
    <div class="row">
        <div class="input-field col">
            <i class="material-icons prefix">phone</i>
            <input id="icon_telephone" type="tel" class="validate" name="phone" autocomplete="off" required>
            <label for="icon_telephone">Telephone</label>
        </div>
        <div class="input-field col s12">
            <button class="btn waves-effect waves-light" type="button" name="submit">Submit
                <i class="material-icons right">send</i>
            </button>
            <button class="btn waves-effect waves-light" type="button" name="clear">Clear
                <i class="material-icons right">clear</i>
            </button>
        </div>
    </div>
</form>
<ul class="collection">
</ul>
<script>
    var substitutor = (function () {
        var regEx = /{([^{]*?)}/g;

        var checkForSubstitutors = function (str) {
            return regEx.test(str);
        }

        var getSubstitueValue = function (context) {
            return function (regexMatch, placeholder) {
                var splitArray = placeholder.split(".")
                var currentContext = context;
                while (splitArray.length) {
                    var item = splitArray.shift();
                    if (typeof(currentContext) === "object" && item in currentContext)
                        currentContext = currentContext[item];
                    else
                        return;
                }
                return currentContext;
            };
        };

        return function (input, context) {
            while (checkForSubstitutors(input)) {
                input = input.replace(regEx, getSubstitueValue(context));
            }
            return input
        };
    })();

    function display(data) {
        var rObj = $.parseJSON(JSON.stringify(data));
        if (!rObj.error.hasOwnProperty('code')) {
            var html_main_tpl = `
<li class="collection-item avatar">
      <a href="{profile_image}"><img src="{profile_image}" target="_blank" class="circle"></a>
      <span class="title">{display_name}</span>
        <table class = "striped bordered s4">
         <tbody>
            <tr>
               <td>Имя</td>
               <td>{name}</td>
               <td>Фамилия</td>
               <td>{surname}</td>
            </tr>
            <tr>
               <td>Телефон</td>
               <td>{msisdn}</td>
               <td>E-mail</td>
               <td>{email}</td>
            </tr>
            <tr>
               <td>Пол</td>
               <td>{gender}</td>
            </tr>
            <tr>
               <td>Facebook ID</td>
               <td>{fb_id}</td>
            </tr>
            <tr>
               <td>Компания</td>
               <td>{company}</td>
               <td>Должность</td>
               <td>{job}</td>
            </tr>
            <tr>
               <td>Страна</td>
               <td>{country}</td>
               <td>Город</td>
               <td>{city}</td>
               <td>Адрес</td>
               <td>{main_street}</td>
               <td>Индекс</td>
               <td>{zip_code}</td>
            </tr>
            <tr>
                <td>Всего имен</td>
                <td>{name_count}</td>
            </tr>
`;
            var html_entry_tpl = `
            <tr>
                <td>Имя</td>
                <td>{name}</td>
                <td>Кол-во упоминаний</td>
                <td>{count}</td>
            </tr>
`;
            var html_tail_tpl = `
         </tbody>
      </table>
    </li>
`;
            $.each(rObj.response.list, function (i, item) {
                    var html = substitutor(html_main_tpl, item);

                    $.each(item.tags, function (j, item_entry) {
                            var entry = substitutor(html_entry_tpl, item_entry);
                            html += entry;
                        }
                    );

                    $(".collection").append(html + html_tail_tpl);
                }
            );
        }
        else {
            $(".collection").append('<li class="collection-item active red">' + rObj.error.message + '</li>');
        }
    }

    function send_query() {
        $.post(
            {
                type: "POST",
                url: window.location,
                data: $('form').serializeArray(),
                success: function (data) {
                    display(data);
                }
            });
    }

    $('.input-field').find("input[name=phone]").keypress(function (e) {
        if (e.which == 13) {
            send_query();
            return false;
        }
    });

    $(".input-field").find("button[name=submit]").click(function () {
        send_query();
    });

    $(".input-field").find("button[name=clear]").click(function () {
        $(".collection").empty();
    });
</script>
</body>
</html>